Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::BandedWG Class Reference

Banded waveguide modeling class. More...

`#include <BandedWG.h>`

Inheritance diagram for stk::BandedWG:

List of all members.

## Public Member Functions
| BandedWG (void)
| Class constructor.
| ~BandedWG (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setStrikePosition (StkFloat position)
| Set strike position (0.0 - 1.0).
void | setPreset (int preset)
| Select a preset.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | startBowing (StkFloat amplitude, StkFloat rate)
| Apply bow velocity/pressure to instrument with given amplitude and rate of increase.
void | stopBowing (StkFloat rate)
| Decrease bow velocity/breath pressure with given rate of decrease.
void | pluck (StkFloat amp)
| Pluck the instrument with given amplitude.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

Banded waveguide modeling class.

This class uses banded waveguide techniques to model a variety of sounds, including bowed bars, glasses, and bowls. For more information, see Essl, G. and Cook, P. "Banded Waveguides: Towards Physical Modelling of Bar Percussion Instruments", Proceedings of the 1999 International Computer Music Conference.

Control Change Numbers:

- Bow Pressure = 2
- Bow Motion = 4
- Strike Position = 8 (not implemented)
- Vibrato Frequency = 11
- Gain = 1
- Bow Velocity = 128
- Set Striking = 64
- Instrument Presets = 16
  - Uniform Bar = 0
  - Tuned Bar = 1
  - Glass Harmonica = 2
  - Tibetan Bowl = 3

by Georg Essl, 1999 - 2004. Modified for STK 4.0 by Gary Scavone.

The documentation for this class was generated from the following file:

- BandedWG.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.